Retrieve order shipments
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders/{order_number}/shipments \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders/{order_number}/shipments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/storefront/orders/{order_number}/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "order details",
"success": true,
"content": {
"shipments": [
{
"reference_number": "<string>",
"total_weight": 123,
"total_boxes": 123,
"shipment_items_count": 123,
"shipment_items": [
{
"product_id": "<string>",
"product_name": "<string>",
"product_image_url": "<string>",
"variant_id": "<string>",
"variant_name": "<string>",
"sku": "<string>",
"quantity": 123,
"free_quantity": 123,
"is_free_item": true
}
],
"shipping_amount": 123,
"shipping_tax_amount": 123,
"shipping_amount_including_tax": 123,
"courier_company_name": "<string>",
"shipping_label_url": "<string>",
"awb_no": "<string>",
"tracking_url": "<string>",
"eta_delivery": "<string>",
"shipped_date": "2023-11-07T05:31:56Z",
"delivered_date": "2023-11-07T05:31:56Z",
"cancellation_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"seller_id": "<string>",
"seller_detail": {
"id": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "<string>",
"tax_identification_number": "<string>"
}
}
]
}
}{
"message": "<string>",
"success": false,
"code": "<string>"
}{
"message": "<string>",
"success": true,
"code": "<string>"
}Orders
Retrieve order shipments
Retrieve order shipments
GET
/
orders
/
{order_number}
/
shipments
Retrieve order shipments
Was this page helpful?
⌘I